Loading...
Searching...
No Matches
bladerf_version Struct Reference
Device properties

## Description

Version structure for FPGA, firmware, libbladeRF, and associated utilities

Definition at line 410 of file libbladeRF.h.

`#include <libbladeRF.h>`

## Data Fields

uint16_t | major
uint16_t | minor
uint16_t | patch
const char * | describe

## Field Documentation

## describe

const char* describe

Version string with any additional suffix information.

Warning
  Do not attempt to modify or free() this string.

Definition at line 414 of file libbladeRF.h.

## major

uint16_t major

Major version

Definition at line 411 of file libbladeRF.h.

## minor

uint16_t minor

Minor version

Definition at line 412 of file libbladeRF.h.

## patch

uint16_t patch

Patch version

Definition at line 413 of file libbladeRF.h.

The documentation for this struct was generated from the following file:

- libbladeRF.h